Skip to content

Create a personal profile

Request

Create a personal profile for the authenticated user. A personal profile represents an individual and is required before creating transfers or business profiles.

Use the X-idempotence-uuid header to safely retry requests. If omitted and a profile already exists, the API returns 409 Conflict. You can then retrieve existing profiles via List profiles.

Field notes

  • First and last names are limited to 30 characters each. Truncate if necessary (e.g. when a customer has many middle names).
  • occupations is required for CA, IN, JP, ID, IL, MX, and within the US for the state NM.
  • contactDetails are used for mandatory customer notifications and to help identify your customer when contacting Wise support.
Security
UserToken or PersonalToken
Headers
X-idempotence-uuidstring, (uuid)

Unique idempotency key for the request.

X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
firstNamestring, <= 30 charactersrequired

First name (including middle names).

Example:"Oliver"
lastNamestring, <= 30 charactersrequired

Last name.

Example:"Wilson"
preferredNamestring, <= 30 characters

Preferred first name, if different to the legal first name.

Example:"Olivia"
firstNameInKanastring or null

First name in Katakana. Required for from-JPY personal transfers.

Example:null
lastNameInKanastring or null

Last name in Katakana. Required for from-JPY personal transfers.

Example:null
addressobjectrequired
nationalitystring

3 letter country code (lower case).

Example:"usa"
dateOfBirthstringrequired

Date of birth.

Example:"1977-07-01"
externalCustomerIdstring

An external reference identifier mapping the customer of this profile to your system.

Example:"12345-oliver-wilson"
contactDetailsobjectrequired
occupationsArray of objects
curl -i -X POST \
  https://api.wise.com/v2/profiles/personal-profile \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'X-idempotence-uuid: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -d '{
    "firstName": "Oliver",
    "lastName": "Wilson",
    "preferredName": "Olivia",
    "firstNameInKana": null,
    "lastNameInKana": null,
    "address": {
      "addressFirstLine": "50 Sunflower Ave",
      "city": "Phoenix",
      "countryIso3Code": "usa",
      "postCode": "10025",
      "stateCode": "AZ"
    },
    "nationality": "usa",
    "dateOfBirth": "1977-07-01",
    "externalCustomerId": "12345-oliver-wilson",
    "contactDetails": {
      "email": "o.wilson@example.com",
      "phoneNumber": "+3725064992"
    },
    "occupations": [
      {
        "code": "Software Engineer",
        "format": "FREE_FORM"
      }
    ]
  }'

Responses

Created personal profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Unique profile ID.

Example:30000001
typestring

Profile type.

Value:"PERSONAL"
Example:"PERSONAL"
detailsobject

Profile details.

Response
{ "id": 30000001, "type": "PERSONAL", "details": { "firstName": "Oliver", "lastName": "Wilson", "preferredName": "Olivia", "firstNameInKana": null, "lastNameInKana": null, "address": { "addressFirstLine": "50 Sunflower Ave", "city": "Phoenix", "countryIso3Code": "usa", "postCode": "10025", "stateCode": "AZ" }, "nationality": "usa", "dateOfBirth": "1977-07-01", "externalCustomerId": "12345-oliver-wilson", "contactDetails": { "email": "o.wilson@example.com", "phoneNumber": "+3725064992" }, "occupations": [ {} ], "localizedInformation": [ {} ] } }